// sample java program to use Xerces DOM parser
// hussein suleman
// august 2004

import org.apache.xerces.parsers.DOMParser;
import org.xml.sax.SAXException;
import java.io.IOException;
import org.w3c.dom.*;

public class test {

   public static void main(String[] args) {
      String filename = "test.xml";
      
      DOMParser parser = new DOMParser();
      try {
         parser.parse(filename); 
      }
      catch (SAXException e) {
         System.out.println(filename + " is not well-formed.");
      }
      catch (IOException e) { 
         System.out.println("Due to an IOException, the parser could not check " + filename); 
      }
       
      Document document = parser.getDocument();
      Element root = document.getDocumentElement();
       
      CharacterData name = (CharacterData)(root.getElementsByTagName ("name").item(0).getFirstChild());
      System.out.println ("name = " + name.getData());

      NodeList longlist = root.getElementsByTagName ("longlist");
      for ( int i = 0; i<longlist.getLength(); i++ )
      {
         Node llNode = longlist.item(i).getFirstChild();
         System.out.println ("longlist = " + ((CharacterData)(llNode)).getData());
      }
   }
}
                    